]> git.immae.eu Git - github/wallabag/wallabag.git/blob - scripts/require.sh
Merge pull request #4438 from wallabag/dependabot/composer/scheb/two-factor-bundle...
[github/wallabag/wallabag.git] / scripts / require.sh
1 #! /usr/bin/env bash
2 # File used to check dependencies
3
4 if [ ! -f composer.phar ]; then
5 echo "composer.phar not found, we'll see if composer is installed globally."
6 command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }
7 else
8 COMPOSER_COMMAND='./composer.phar'
9 fi